Subject: [OPSAWG] power consumption mib

From: <[email-masked]>
Date: Wed, 17 Feb 2010 09:08:15 +0900

Hi all,

I have updated the power consumption MIB as below.

http://www.ietf.org/id/draft-teraoka-powerconsumption-mib-01.txt

The basic configuration of this MIB, there are many aspects similar to
draft-quittek-power-mib-00.txt.  However, as the purpose is to propose
some differences, I have submitted a revised draft.

The following changes have been made from -00.

 Completely reworked the entire pconPowerCon Group in order to be compliant
 with ENTITY-MIB.

 * Added handling of the unit
     KWh is generally used for the unit of amount of power consumption
     at the power supply.  However, if the application to determine the
     ability of equipment, KWh is not most suitable, wattSec, wattMin and
     joule is also used.
 * Added maximum, minimum power consumption
     The value that can be reset according to arbitrary timing is added.
 * Removed pconTraffic group and  pconModuleData group
     Items to traffic information accumulated for each entity has not been
     standardized.  I think it is necessary to control the dynamic
     performance control.  I hope there is a chance to define with another
     document.

A new version of I-D, draft-teraoka-powerconsumption-mib-01.txt has been successfuly submitted by Minoru Teraoka and posted to the IETF repository.

Filename:        draft-teraoka-powerconsumption-mib
Revision:        01
Title:           Power Consumption MIB for IP forwarding devices
Creation_date:   2010-02-16
WG ID:           Independent Submission
Number_of_pages: 15

Abstract:
This memo defines a portion of the Management Information Base (MIB)
for use with network management protocols.  In particular it defines
objects for monitoring power consumption with IP network element that
has a function of dynamic performance control.

Best regards,
Minoru

---

From: "Juergen Quittek" <[email-masked]>
Date: Fri, 19 Feb 2010 14:19:54 +0100

Dear authors,

Below please find comments on draft-teraoka-powerconsumption-mib-01.

1. Terminology
   I think that "power consumption" is not a technically correct term.
   Power is defined as an energy rate. In your scenario it is energy
   that is consumed and power is the energy consumption rate.

2. Purpose of the MIB module
   Section 4 starts with
      "The purpose of this MIB is to provide monitoring power
       consumption information."
   This sounds like a reasonable purpose.
   But in the DESCRIPTION clause of pconMIB you state
      "The MIB module for management of reducing the power
       consumption for network device which can be useful for
       dynamic power management."
   This does not seem to be appropriate. As you defined it,
   your MIB module provides energy consumption information
   and peak power information.

3. Objects pconPowerConPeak*/Minimum*
   Which energy management function would use
   these peak values as an input?
   There is also a peak power object in
   draft-quittek-power-mib-00 but we (the authors) discussed
   it for a long time and are still not completely convinced
   that it is really needed.

4. DECSCRIPTION clause of pconPowerConValue
   You should elaborate the time interval for which you measure
   energy consumption here. I guess it is energy consumed since
   the last initialization of the device?
   You should mention that scale and unit for this value
   are given by objects pconPowerConScale and pconPowerConUnit.

5. UNIT clause of pconPowerConMinimumValue
   Please consider that for small devices the minimum value
   may fall below 1 watt. Would then the unit "watts" still be
   appropriate? I would recommend to rather use milliwatts.

Kind regards,

    Juergen

On 17.02.10 01:08  "[email-masked]"
<[email-masked]> wrote:

> A new version of I-D, draft-teraoka-powerconsumption-mib-01.txt has been
> successfuly submitted by Minoru Teraoka and posted to the IETF repository.
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

---

From: "David Harrington" <[email-masked]>
Date: Fri, 19 Feb 2010 10:08:18 -0500

Hi,

a few comments, agreeing with Juergen.
(BTW, Juergen, nice job on these reviews ;-)
 
>    that it is really needed.

I think the min/max could certainly be useful for recognizing unusual
events that might lead to problems in the future. Typically, I would
recommend that this be calculated by a management application based on
sampling, but a management application might not poll the device at
the right times. 

It might be good to have a notification sent when the max exceeds a
certain threshold, or th emin goes below a certain threshold. The
threshold should have a vendor-set default, and possibly be adjustable
by an admin; the notification per entity should be able to be
enabled/disabled by an admin. 

Do we have any relevant objects in existing MIB modules, like the
sensor mib or the ups mib?

>    the last initialization of the device?

Since the last initialization of the device or of the management
system or of the line card? Does it reset if the device keeps running,
but the snmp system is restarted?

RFC2578 and RFC4181 talk about discontinuities. I strongly recommend
the authors read those RFCs, especially RFC4181 section 4.6.1.2.

dbh

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 19 Feb 2010 16:38:55 +0100

> sensor mib or the ups mib?

There are generic MIB objects to detect threshold crossings, see the
DISMAN-EVENT-MIB, RFC 2981. I expect people will say "well this is too
generic and too complex, we can do simpler by reinventing this
wheel"...

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 19 Feb 2010 17:46:16 +0100

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
> Sent: Friday, February 19, 2010 5:39 PM
> To: David Harrington
> Cc: [email-masked]; [email-masked]; 
> 'Juergen Quittek'; [email-masked]; [email-masked]
> Subject: Re: [OPSAWG] power consumption mib
> 
> There are generic MIB objects to detect threshold crossings, 
> see the DISMAN-EVENT-MIB, RFC 2981. I expect people will say 
> "well this is too generic and too complex, we can do simpler 
> by reinventing this wheel"...
> 
> /js
> 

Also the alarm and events mechanisms in RMON-MIB (RFC 2819) would do the
job. 

Dan

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 21 Feb 2010 11:47:20 +0100

> [mailto:[email-masked]] On Behalf Of David Harrington
> Sent: Friday, February 19, 2010 5:08 PM
> To: 'Juergen Quittek'; [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]
> Cc: [email-masked]
> I think the min/max could certainly be useful for recognizing 
> unusual events that might lead to problems in the future. 
> Typically, I would recommend that this be calculated by a 
> management application based on sampling, but a management 
> application might not poll the device at the right times. 
> 
> It might be good to have a notification sent when the max 
> exceeds a certain threshold, or th emin goes below a certain 
> threshold. The threshold should have a vendor-set default, 
> and possibly be adjustable by an admin; the notification per 
> entity should be able to be enabled/disabled by an admin. 
> 
> Do we have any relevant objects in existing MIB modules, like 
> the sensor mib or the ups mib?
> 

I have already raised this issue. The entity MIB and the thresholding
defined in DISMAN or RMON can be used here. As in other cases we
encounter resistance from the authors of new MIB modules who believe
that new little specialized wheels are better than the more generic ones
already invented. 

Dan
(speaking as contributor)

---

From: <[email-masked]>
Date: Tue, 23 Feb 2010 17:02:19 +0900

Dear Juergen,

Thanks for the review.
Please see in-line. 

> From: Juergen Quittek [mailto:[email-masked]] 
> Sent: Friday, February 19, 2010 10:20 PM
> To: Teraoka, Minoru ([email-masked]); Miyata, 
> Yuuji ([email-masked]); 
> [email-masked]; [email-masked]
> Cc: [email-masked]

I agree that energy is the appropriate word.
"power consumption" -> "energy consumption"

>   and peak power information.

I tried to describe a progressive usage here.  However, the contents
deviated from the purpose of this document.  I'll remove the description
that energy consumption reduces.

>   that it is really needed.

I think that these values are effective when the demand is managed.  In this
case, a peak level of the average energy in the demand period will be
necessary.  In doing so, the meaning of these values will need to be changed.

>   the last initialization of the device?

You're true.

>   are given by objects pconPowerConScale and pconPowerConUnit.

Will do

>   appropriate? I would recommend to rather use milliwatts.

Your point might be correct.  Do maximum/minimum value objects need a scale?
Energy consumption of each entity in small device may be less than 1watt.

Best regards,
Minoru

---

From: "Juergen Quittek" <[email-masked]>
Date: Tue, 23 Feb 2010 10:54:12 +0100

Dear Minoru,

> Energy consumption of each entity in small device may be less than 1watt.

That's why I suggested using the fixed unit milliwatts.
Energy consumption below 1 milliwatt will be most probably be negligible
for energy management purposes.

Kind regards,

    Juergen